## org.eclipse.emf.ecore.impl
Class EValidatorRegistryImpl

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<EPackage,java.lang.Object>
              org.eclipse.emf.ecore.impl.EValidatorRegistryImpl

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<EPackage,java.lang.Object>, EValidator.Registry

    public class EValidatorRegistryImpl

extends java.util.HashMap<EPackage,java.lang.Object>
implements EValidator.Registry

An implementation of a validator registry.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface java.util.Map
`java.util.Map.Entry<K,V>`

Field Summary
`protected EValidator.Registry` `delegateRegistry`

Fields inherited from interface org.eclipse.emf.ecore.EValidator.Registry
`INSTANCE`

Constructor Summary
`EValidatorRegistryImpl()`
`EValidatorRegistryImpl(EValidator.Registry delegateRegistry)`

Method Summary
`boolean` `containsKey(java.lang.Object key)`
`protected java.lang.Object` `delegatedGet(java.lang.Object key)`
`java.lang.Object` `get(java.lang.Object key)`
`EValidator` `getEValidator(EPackage ePackage)` Looks up the package in the map.

Methods inherited from class java.util.HashMap
`clear, clone, containsValue, entrySet, isEmpty, keySet, put, putAll, remove, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`clear, containsValue, entrySet, equals, hashCode, isEmpty, keySet, put, putAll, remove, size, values`

Field Detail

### delegateRegistry

    protected EValidator.Registry delegateRegistry

Constructor Detail

### EValidatorRegistryImpl

    public EValidatorRegistryImpl()

### EValidatorRegistryImpl

    public EValidatorRegistryImpl(EValidator.Registry delegateRegistry)

Method Detail

### get

    public java.lang.Object get(java.lang.Object key)

  Specified by:
    `get` in interface `java.util.Map<EPackage,java.lang.Object>`
  Overrides:
    `get` in class `java.util.HashMap<EPackage,java.lang.Object>`

### getEValidator

    public EValidator getEValidator(EPackage ePackage)

  Description copied from interface: `EValidator.Registry`
  Looks up the package in the map.

  Specified by:
    `getEValidator` in interface `EValidator.Registry`

### delegatedGet

    protected java.lang.Object delegatedGet(java.lang.Object key)

### containsKey

    public boolean containsKey(java.lang.Object key)

  Specified by:
    `containsKey` in interface `java.util.Map<EPackage,java.lang.Object>`
  Overrides:
    `containsKey` in class `java.util.HashMap<EPackage,java.lang.Object>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.